ChangeSet 1.985.10.12, 2003/03/25 13:23:01-08:00, oliver@neukum.name

[PATCH] USB: Another memory allocation in block IO error handling path

  - memory allocation in block io error code path with GFP_KERNEL


 drivers/usb/core/hub.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)


diff -Nru a/drivers/usb/core/hub.c b/drivers/usb/core/hub.c
--- a/drivers/usb/core/hub.c	Tue Mar 25 16:45:38 2003
+++ b/drivers/usb/core/hub.c	Tue Mar 25 16:45:39 2003
@@ -647,7 +647,7 @@
 	struct usb_port_status *portsts;
 	int ret = -ENOMEM;
 
-	portsts = kmalloc(sizeof(*portsts), GFP_KERNEL);
+	portsts = kmalloc(sizeof(*portsts), GFP_NOIO);
 	if (portsts) {
 		ret = usb_get_port_status(hub, port + 1, portsts);
 		if (ret < 0)
